TokenControllerResolveTokenByIds Method |
POST /Token/ResolveByIds/
Resolves multiple given tokens to a string representation of the resolved value.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("ResolveByIds")]
public IActionResult ResolveTokenByIds(
[FromBodyAttribute] IList<ResolveTokenByIdsOptions> options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("ResolveByIds")>
Public Function ResolveTokenByIds (
<FromBodyAttribute> options As IList(Of ResolveTokenByIdsOptions),
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"ResolveByIds")]
IActionResult^ ResolveTokenByIds(
[FromBodyAttribute] IList<ResolveTokenByIdsOptions^>^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("ResolveByIds")>]
member ResolveTokenByIds :
[<FromBodyAttribute>] options : IList<ResolveTokenByIdsOptions> *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: System.Collections.GenericIListResolveTokenByIdsOptions
The options to resolve the tokens with. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
An array of
String objects containing the resolved parameter string representation, or a status code indicating the problem.
See Also